Bug Hunting Session
Bug 95916 - Alizarin master page formats date in Japanese
Summary: Alizarin master page formats date in Japanese
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.2 rc
Hardware: All All
: medium minor
Assignee: Laurent BP
URL:
Whiteboard: target:5.1.0 target:5.0.4 target:4.4.7
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-18 20:51 UTC by Laurent BP
Modified: 2016-10-25 19:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot showing language set to French, and slide displaying Japenese month name (19.25 KB, image/png)
2015-11-18 20:51 UTC, Laurent BP
Details
Modified version of Alizarin.otp correcting bug (22.18 KB, application/vnd.oasis.opendocument.presentation-template)
2015-11-18 21:08 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2015-11-18 20:51:55 UTC
Created attachment 120634 [details]
Screen shot showing language set to French, and slide displaying Japenese month name

Description: Alizarin is proposed as Master page since LibO 4.4.0.2. It was built in Japanese UI. Date format is using Japanese name of month.

Steps to reproduce:
1. Set local settings to a different language than Japanese
2. Create a new empty presentation without wizard
3. With Sidebar, select master page "Alizarin"
4. Insert > Date and Time
5. Check "Date and time", and select "Variable"
6. Select a format containing name of month
7. Apply to all

Actual behavior:
Name of month is displayed in Japanese. See attached screenshot.

Expected behavior:
Name of month should follow language indicated in "Insert>Date and Time" dialog

Workaround:
7. In "Insert>Date and Time" dialog, change language to a different one
8. Apply all
9. Insert > Date and Time
10. Set again the expected language
11. Apply all
Comment 1 Laurent BP 2015-11-18 21:08:00 UTC
Created attachment 120635 [details]
Modified version of Alizarin.otp correcting bug

In Alizarin.otp, file styles.xml forces text style MT2 to Japanese language.
I replaced style MT2 by MT3 (which does not specify any language) in master page styles "alizarin" and "alizarin1" for tag <presentation:date-time/> and rebuilt a new version of Alizarin.otp
Comment 2 Laurent BP 2015-11-18 21:11:11 UTC
However, modifying Alizarin.otp in
http://opengrok.libreoffice.org/xref/core/extras/source/templates/presnt/
would hide the bug: LibO should choose the language according to "Insert>Date and Time" dialog and not according to what is stored in template.
Comment 3 Laurent BP 2015-11-18 21:22:46 UTC
If Alizarin.otp is copied in master page template directory of previous versions of LibO, bug is reproducible with all versions, as well as AOO.
Comment 4 Buovjaga 2015-11-19 07:26:22 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)
Comment 5 Pierre C 2015-11-19 07:27:42 UTC
Confirming this bug
With LO 4.4.7.1
Comment 6 Buovjaga 2015-11-19 07:36:59 UTC
Severity minor as workaround exists.
https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 7 Commit Notification 2015-11-20 06:17:53 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec544c4b0512b42a9cb1e32d9e3cd9577f5b1f47

tdf#95916 Update Alizarin.otp

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-11-20 06:22:52 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ff729792483f812e7063f2278b4861e238ccb51&h=libreoffice-5-0

tdf#95916 Update Alizarin.otp

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-11-23 17:15:07 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5cab246d6f9d2c8f77f74a202dfbd96df7bfa4ce&h=libreoffice-4-4

tdf#95916 Update Alizarin.otp

It will be available in 4.4.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-11-24 15:33:55 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0dd44c2f6b3005416a479d89279f5fc3f9a2eb46&h=libreoffice-4-4-7

tdf#95916 Update Alizarin.otp

It will be available in 4.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Jacques Guilleron 2015-11-24 21:08:17 UTC
Works as expected (date according to locale) with
LO 5.1.0.0.alpha1+ Build ID: f6bc5b79c31225c02e9500d0ced4bd26f998f82b
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-24_01:07:47
Locale: fr-FR (fr_FR)
under Windows 7 Home.

Thank you Laurent.